Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 596204

Summary: mail-client/thunderbird-45.4.0 : /.../cmath:615:11: error: '::isinf' has not been declared
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Mozilla Gentoo Team <mozilla>
Status: RESOLVED OBSOLETE    
Severity: normal CC: flo, herrtimson
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 582084    
Attachments: config.log
emerge-history.txt
environment
mail-client:thunderbird-45.4.0:20161005-015040.log.bz2
emerge-info.txt
emerge-history.txt
environment
www-client:firefox-49.0:20161018-145304.log.bz2

Description Toralf Förster gentoo-dev 2016-10-05 08:14:28 UTC
                 from /var/tmp/portage/mail-client/thunderbird-45.4.0/work/thunderbird-45.4.0/mozilla/media/libstagefright/binding/Adts.cpp:6,
                 from /var/tmp/portage/mail-client/thunderbird-45.4.0/work/thunderbird-45.4.0/tbird/media/libstagefright/Unified_cpp_media_libstagefright0.cpp:2:
/usr/lib/gcc/x86_64-pc-linux-gnu/6.2.0/include/g++-v6/cmath:615:11: error: '::isinf' has not been declared
   using ::isinf;
           ^~~~~


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-gnome-libressl-unstable_20160928-213837) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags ...

  ... in make.conf:
USE="  -openssl -gnutls libressl pax_kernel xtpax -cdinstall -oci8 -bindist ssp cdda clang curl custom-cflags dnssec emacs exif fluidsynth -fortran -gif git -graphtft -gstreamer latex mad mdnsresponder-compat modplug -mp4 multimedia ncurses -obj odbc opencv pam png postgres pwquality -qt4 -sasl smpeg source sourceview system-jpeg -szip threads ufed vaapi vdpau video webgl webstart widgets wxwidgets x264 ziffy zip -zlib"

  ... in /etc/portage/package.use/*:
  mail-mta/ssmtp      ssl mta
  net-misc/wget       ssl
  app-crypt/pinentry  -qt4
  app-editors/emacs   -dbus -svg -ssl -gtk -gtk3
  app-text/xmlto      -latex
  dev-libs/boehm-gc   threads
  dev-libs/libpcre    pcre16
  dev-lang/python     threads
  dev-qt/qtgui        egl eglfs
  net-nds/openldap    -sasl
  dev-util/cmake      -qt4 -qt5
  dev-vcs/git         -perl
  media-libs/mesa     -vaapi
  sys-apps/kmod       tools
  net-misc/iputils -caps -filecaps
  mail-mta/ssmtp libressl -gnutls

  entries in /etc/portage/package.unmask/*:
  ~dev-libs/boost-1.62.0
  ~dev-util/boost-build-1.62.0
  ~sys-apps/sandbox-2.11
  media-video/ffmpeg
  sys-devel/gcc:6.2.0
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-4.9.3
 [2] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.8.1
Available Java Virtual Machines:
  [1]   icedtea-7 
  [2]   icedtea-bin-7 
  [3]   icedtea-bin-8  system-vm
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)

  -----------------------------------------------------------------

Portage 2.3.1 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/gnome, gcc-6.2.0, glibc-2.23-r2, 4.7.6-hardened x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.7.6-hardened-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285480 total,   2907920 free
KiB Swap:   67108860 total,  67101800 free
Timestamp of repository gentoo: Wed, 05 Oct 2016 00:30:23 +0000
sh bash 4.4
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.4::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.0-r1::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.6.2::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.1::gentoo
sys-apps/sandbox:         2.11-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.26.1::gentoo
sys-devel/gcc:            4.9.3::gentoo, 6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.7::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

local
    location: /usr/local/portage
    masters: gentoo
    priority: 2

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/omega.conf /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-Werror=terminate -march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr clang cli colord consolekit cracklib crypt cups curl custom-cflags cxx dbus dnssec dri dts dvd dvdr eds emacs emboss encode evo exif fam firefox flac fluidsynth gdbm git glamor gnome gnome-keyring gnome-online-accounts gpm gtk iconv introspection ipv6 jpeg latex lcms ldap libnotify libressl libsecret mad mdnsresponder-compat mmx mmxext mng modplug modules mp3 mpeg multilib multimedia nautilus ncurses nls nptl odbc ogg opencv opengl openmp pam pango pax_kernel pcre pdf png policykit postgres ppds pulseaudio pwquality qt3support readline sdl seccomp session smpeg source sourceview spell sse sse2 ssl ssp startup-notification svg system-jpeg tcpd threads tiff tracker truetype udev udisks ufed unicode upower usb vaapi vdpau video vorbis webgl webstart widgets wxwidgets x264 xattr xcb xml xtpax xv xvid ziffy zip" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="libressl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" L10N="bn-BD chr lb nso pa son zh-TW" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-10-05 08:14:35 UTC
Created attachment 449186 [details]
config.log
Comment 2 Toralf Förster gentoo-dev 2016-10-05 08:14:38 UTC
Created attachment 449188 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2016-10-05 08:14:41 UTC
Created attachment 449190 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2016-10-05 08:14:44 UTC
Created attachment 449192 [details]
mail-client:thunderbird-45.4.0:20161005-015040.log.bz2
Comment 5 Toralf Förster gentoo-dev 2016-10-17 18:17:51 UTC
ok,

www-client/firefox-45.4.0 : /.../cmath:615:11: error: '::isinf' has not been declared 

faield here too
Comment 6 tt_1 2016-10-17 20:10:20 UTC
Your log says that you have been using firefox-45.0-patches-06.tar.xz tarball, so you may want to try again with firefox-45.0-patches-07.tar.xz which has a gcc-6 patch included as well as a binutils-2.26 patch. An emerge --info logfile could come in handy too. 

for me it works with the following useflags 

emerge -pv thunderbird

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] mail-client/thunderbird-45.4.0::gentoo  USE="jemalloc3 minimal system-harfbuzz system-icu system-jpeg (system-libevent) system-libvpx system-sqlite -bindist -crypt -custom-cflags -custom-optimization -dbus -debug -ffmpeg -gstreamer -gstreamer-0 (-hardened) -jit -ldap -lightning -mozdom (-neon) -pulseaudio (-selinux) -startup-notification (-system-cairo)" L10N="de -ar -ast -be -bg -bn-BD -br -ca -cs -cy -da -el -en-GB -es-AR -es-ES -et -eu -fi -fr -fy -ga -gd -gl -he -hr -hsb -hu -hy -id -is -it -ja -ko -lt -nb -nl -nn -pa -pl -pt-BR -pt-PT -rm -ro -ru -si -sk -sl -sq -sr -sv -ta-LK -tr -uk -vi -zh-CN -zh-TW" 0 KiB

However, this is on a musl profile, I may try again with a glibc system.
Comment 7 Ian Stakenvicius gentoo-dev 2016-10-17 20:25:49 UTC
(In reply to tt_1 from comment #6)
> Your log says that you have been using firefox-45.0-patches-06.tar.xz
> tarball, so you may want to try again with firefox-45.0-patches-07.tar.xz
> which has a gcc-6 patch included as well as a binutils-2.26 patch.

That's a non-issue, prior to using patches-07, the gcc6 patch was being eapply'd directly.

This particular issue is apparently indicative of a synchronization problem between gcc-6 and glibc, however.  I'm in the process of testing that on my own to see if I can reproduce the issue (and if recompiling glibc will fix it or not).
Comment 8 Toralf Förster gentoo-dev 2016-10-18 16:26:40 UTC
Created attachment 450698 [details]
emerge-info.txt

another image same issue, so it is repeatable (and I do hope it is not a fault in setting up a tidnerbox iamge or in the way to switch to gcc-6)
Comment 9 Toralf Förster gentoo-dev 2016-10-18 16:26:45 UTC
Created attachment 450700 [details]
emerge-history.txt
Comment 10 Toralf Förster gentoo-dev 2016-10-18 16:26:48 UTC
Created attachment 450702 [details]
environment
Comment 11 Toralf Förster gentoo-dev 2016-10-18 16:26:51 UTC
Created attachment 450704 [details]
www-client:firefox-49.0:20161018-145304.log.bz2
Comment 12 Ian Stakenvicius gentoo-dev 2016-10-18 20:02:56 UTC
(In reply to Toralf Förster from comment #8)
> Created attachment 450698 [details]
> emerge-info.txt
> 
> another image same issue, so it is repeatable (and I do hope it is not a
> fault in setting up a tidnerbox iamge or in the way to switch to gcc-6)

So I built an ~amd64 chroot with default USE flags and CFLAGS, upgraded glibc to 2.23, then emerged gcc-6 and switched to it. thunderbird-45.4.0 built wihtout issue.  I then rebuild glibc-2.23 and tried thunderbird-45.4.0 again, and still had no issues.

So I haven't been able to reproduce the problem yet, and am open to suggestions.
Comment 13 Jory A. Pratt gentoo-dev 2016-10-19 01:20:52 UTC
(In reply to Ian Stakenvicius from comment #12)
> (In reply to Toralf Förster from comment #8)
> > Created attachment 450698 [details]
> > emerge-info.txt
> > 
> > another image same issue, so it is repeatable (and I do hope it is not a
> > fault in setting up a tidnerbox iamge or in the way to switch to gcc-6)
> 
> So I built an ~amd64 chroot with default USE flags and CFLAGS, upgraded
> glibc to 2.23, then emerged gcc-6 and switched to it. thunderbird-45.4.0
> built wihtout issue.  I then rebuild glibc-2.23 and tried thunderbird-45.4.0
> again, and still had no issues.
> 
> So I haven't been able to reproduce the problem yet, and am open to
> suggestions.

Ian next time do not waste time, I could have provided you all this info, this system is already setup and running gcc-6.2.0 and entire system is compiled with it.
Comment 14 Jory A. Pratt gentoo-dev 2016-10-19 01:26:24 UTC
(In reply to Toralf Förster from comment #8)
> Created attachment 450698 [details]
> emerge-info.txt
> 
> another image same issue, so it is repeatable (and I do hope it is not a
> fault in setting up a tidnerbox iamge or in the way to switch to gcc-6)

This is most likely an issue where your system is not properly cleaning files on the switch to gcc-6, can you run fix_libtool_files.sh 4.9.3 and retest please.
Comment 15 Toralf Förster gentoo-dev 2016-10-19 09:10:48 UTC
(In reply to Jory A. Pratt from comment #14)
neither that nor unmerging old gcc at affected images does help (tested at 2 different images)
Comment 16 Toralf Förster gentoo-dev 2016-10-20 15:27:48 UTC
(In reply to Toralf Förster from comment #15)
but FWIW it is just a problem with gcc-6, at stable images it builds fine (gcc-4.9.4)
Comment 17 Jory A. Pratt gentoo-dev 2017-08-26 17:56:18 UTC
If you feel I have closed your bug and it is still a current issue, please reopen and update it completely. We will not work bugs that have no ebuild in tree any longer or can not be reproduced with a current system.

Thank You for your support and understanding
The Mozilla Team